Package tigase.form

## Class Field

- java.lang.Object
- - tigase.form.Field

- All Implemented Interfaces:
    `java.lang.Comparable<Field>`

      public class Field
      extends java.lang.Object
      implements java.lang.Comparable<Field>

  Created: 2007-05-27 10:56:06

  Author:
    bmalkow

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Field.FieldType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Field​(Element fieldElement)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Field` | `cloneShalow()` |
    `int` | `compareTo​(Field o)` |
    `static Field` | `fieldBoolean​(java.lang.String var, java.lang.Boolean value, java.lang.String label)` |
    `static Field` | `fieldFixed​(java.lang.String value)` |
    `static Field` | `fieldHidden​(java.lang.String var, java.lang.String value)` |
    `static Field` | `fieldJidMulti​(java.lang.String var, java.lang.String[] values, java.lang.String label)` |
    `static Field` | `fieldJidSingle​(java.lang.String var, java.lang.String value, java.lang.String label)` |
    `static Field` | `fieldListMulti​(java.lang.String var, java.lang.String[] values, java.lang.String label, java.lang.String[] optionsLabel, java.lang.String[] optionsValue)` |
    `static Field` | `fieldListSingle​(java.lang.String var, java.lang.String value, java.lang.String label, java.lang.String[] optionsLabel, java.lang.String[] optionsValue)` |
    `static Field` | `fieldTextMulti​(java.lang.String var, java.lang.String[] values, java.lang.String label)` |
    `static Field` | `fieldTextMulti​(java.lang.String var, java.lang.String value, java.lang.String label)` |
    `static Field` | `fieldTextPrivate​(java.lang.String var, java.lang.String value, java.lang.String label)` |
    `static Field` | `fieldTextSingle​(java.lang.String var, java.lang.String value, java.lang.String label)` |
    `static java.lang.Boolean` | `getAsBoolean​(Field f)` |
    `java.lang.String` | `getDescription()` |
    `Element` | `getElement()` |
    `Element` | `getElement​(boolean type, boolean label)` |
    `java.lang.String` | `getLabel()` |
    `java.lang.String[]` | `getOptionLabels()` |
    `java.lang.String[]` | `getOptionValues()` |
    `Field.FieldType` | `getType()` |
    `java.lang.String` | `getValue()` |
    `java.lang.String[]` | `getValues()` |
    `java.lang.String` | `getVar()` |
    `boolean` | `isRequired()` |
    `static void` | `main​(java.lang.String[] args)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setLabel​(java.lang.String label)` |
    `void` | `setOptionLabels​(java.lang.String[] optionLabels)` |
    `void` | `setOptionValues​(java.lang.String[] optionValues)` |
    `void` | `setRequired​(boolean required)` |
    `void` | `setType​(Field.FieldType type)` |
    `void` | `setValues​(java.lang.String[] values)` |
    `void` | `setVar​(java.lang.String var)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Field

          public Field​(Element fieldElement)

  - ### Method Detail

    - #### fieldBoolean

          public static Field fieldBoolean​(java.lang.String var,
                                           java.lang.Boolean value,
                                           java.lang.String label)

    - #### fieldFixed

          public static Field fieldFixed​(java.lang.String value)

    - #### fieldHidden

          public static Field fieldHidden​(java.lang.String var,
                                          java.lang.String value)

    - #### fieldJidMulti

          public static Field fieldJidMulti​(java.lang.String var,
                                            java.lang.String[] values,
                                            java.lang.String label)

    - #### fieldJidSingle

          public static Field fieldJidSingle​(java.lang.String var,
                                             java.lang.String value,
                                             java.lang.String label)

    - #### fieldListMulti

          public static Field fieldListMulti​(java.lang.String var,
                                             java.lang.String[] values,
                                             java.lang.String label,
                                             java.lang.String[] optionsLabel,
                                             java.lang.String[] optionsValue)

    - #### fieldListSingle

          public static Field fieldListSingle​(java.lang.String var,
                                              java.lang.String value,
                                              java.lang.String label,
                                              java.lang.String[] optionsLabel,
                                              java.lang.String[] optionsValue)

    - #### fieldTextMulti

          public static Field fieldTextMulti​(java.lang.String var,
                                             java.lang.String value,
                                             java.lang.String label)

    - #### fieldTextMulti

          public static Field fieldTextMulti​(java.lang.String var,
                                             java.lang.String[] values,
                                             java.lang.String label)

    - #### fieldTextPrivate

          public static Field fieldTextPrivate​(java.lang.String var,
                                               java.lang.String value,
                                               java.lang.String label)

    - #### fieldTextSingle

          public static Field fieldTextSingle​(java.lang.String var,
                                              java.lang.String value,
                                              java.lang.String label)

    - #### getAsBoolean

          public static java.lang.Boolean getAsBoolean​(Field f)

    - #### main

          public static void main​(java.lang.String[] args)

    - #### compareTo

          public int compareTo​(Field o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Field>`

    - #### cloneShalow

          public Field cloneShalow()

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getElement

          public Element getElement()

    - #### getElement

          public Element getElement​(boolean type,
                                    boolean label)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel​(java.lang.String label)

    - #### getOptionLabels

          public java.lang.String[] getOptionLabels()

    - #### setOptionLabels

          public void setOptionLabels​(java.lang.String[] optionLabels)

    - #### getOptionValues

          public java.lang.String[] getOptionValues()

    - #### setOptionValues

          public void setOptionValues​(java.lang.String[] optionValues)

    - #### getType

          public Field.FieldType getType()

    - #### setType

          public void setType​(Field.FieldType type)

    - #### getValue

          public java.lang.String getValue()

    - #### getValues

          public java.lang.String[] getValues()

    - #### setValues

          public void setValues​(java.lang.String[] values)

    - #### getVar

          public java.lang.String getVar()

    - #### setVar

          public void setVar​(java.lang.String var)

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired​(boolean required)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`